<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Devices &mdash; 4PointX Documentation 1.0 documentation</title>
      <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../" id="documentation_options" src="../../_static/documentation_options.js"></script>
        <script src="../../_static/doctools.js"></script>
        <script src="../../_static/sphinx_highlight.js"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Functions" href="functions.html" />
    <link rel="prev" title="Assets" href="assets.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            4PointX Documentation
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../../user_docs/index.html">User Docs</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/condition_monitoring/index.html">Condition Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/condition_monitoring/index.html#id1">Condition Monitoring</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/condition_monitoring/summary/index.html">Summary</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/condition_monitoring/asset_health_dashboard/index.html">Asset Health Dashboard</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/condition_monitoring/real_time_monitoring/index.html">Real-time Monitoring</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/condition_monitoring/process_correlation/index.html">Process Correlation</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/condition_monitoring/fault_diagnostics/index.html">Fault Diagnostics</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/index.html">Other Info - CM</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html">Competitor Solutions - CM</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#teco-group">Teco Group</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#web-app">Web App</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#sensor-manual">Sensor Manual</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#api-documentation">API Documentation</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#rs-485-modbus-specs">RS-485/ Modbus Specs</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#dashboard">Dashboard</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#gd-folder">GD Folder</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#datakrew">DataKrew</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#sample-cases">Sample Cases</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#case-1">Case 1</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#diagnostics">Diagnostics</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#detailed-report-attached">Detailed report attached</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#case-2">Case 2</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#id1">Diagnostics</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#id2">Detailed report attached</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#bk-vibro">BK Vibro</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#gantner-instruments">Gantner Instruments</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#vibro-meter">Vibro-meter</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#omnidots">Omnidots</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#rokade-rototechniks">Rokade Rototechniks</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#cmtechnologies">cmtechnologies</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/articles_and_blogs_cm/index.html">Articles and Blogs - CM</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/condition_monitoring/other_info_cm/articles_and_blogs_cm/index.html#treatment-for-machine-vibration-problems">Treatment for Machine Vibration Problems</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/process_anomaly/index.html">Process Anomaly</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/process_anomaly/asset_anomalies/index.html">Asset Anomalies</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/process_anomaly/process_anomalies/index.html">Process Anomalies</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/process_anomaly/other_info_anomaly/index.html">Other Info - Anomaly</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/process_anomaly/other_info_anomaly/competitor_solutions_anomaly/index.html">Competitor Solutions - Anomaly</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/process_anomaly/other_info_anomaly/competitor_solutions_anomaly/index.html#sparkcognition">SparkCognition</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/process_anomaly/other_info_anomaly/digital_twin_articles/index.html">Digital Twin articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/energy_monitoring/index.html">Energy Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/energy_monitoring/other_info_ems/index.html">Other Info - EMS</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/energy_monitoring/other_info_ems/articles_references_ems/index.html">Articles &amp; References - EMS</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/energy_monitoring/other_info_ems/articles_references_ems/index.html#power-meters">Power Meters</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/energy_monitoring/other_info_ems/articles_references_ems/index.html#oem-vendors">OEM Vendors</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/energy_monitoring/other_info_ems/articles_references_ems/index.html#articles">Articles</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/energy_monitoring/other_info_ems/articles_references_ems/index.html#things-you-should-consider-when-choosing-a-power-meter">3 Things You Should Consider When Choosing a Power Meter</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/configuration/index.html">Configuration</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html">IoT Gateways</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#edge-iot-gateway">Edge IoT Gateway</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#file">File</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#steps-to-onboard-data-from-file">Steps to onboard data from File</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#installing-logstash">Installing Logstash</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#centos">CentOS</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#testing-transformed-data">Testing Transformed Data</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#opc-ua">OPC-UA</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#modbus-rtu">Modbus RTU</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#modbus-tcp">Modbus TCP</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#analog">Analog</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#third-party-apps">Third-Party Apps</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#cimcon-digital">CimCon Digital</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#cloud">Cloud</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#aws-s3">AWS S3</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#google-cloud-storage">Google Cloud Storage</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/iot_gateways/index.html#azure-data-lake">Azure Data Lake</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/configuration/plants/index.html">Plants</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/configuration/functions/index.html">Functions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/functions/function_monitors/index.html">Function Monitors</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/configuration/assets/index.html">Assets</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/configuration/assets/asset_monitors/index.html">Asset Monitors</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/alerting/index.html">Alerting</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/index.html">Alerts using Open Distro</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/index.html#installation-instructions">Installation Instructions</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/index.html#test-case-steps">Test Case Steps:</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/index.html#creating-a-simple-threshold-alert">Creating a simple threshold alert:</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/index.html#related-articles">Related articles</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html">Create a monitor for alerting</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#instructions">Instructions</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#set-up-your-destination">Set Up Your Destination</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#set-up-a-monitor">Set Up a Monitor</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#create-a-trigger">Create a Trigger</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#configure-actions">Configure Actions</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#related-articles">Related articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html">Create custom monitor for alerting</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#instructions">Instructions</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#set-up-your-destination">Set Up Your Destination</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#set-up-a-monitor">Set Up a Monitor</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#create-a-trigger">Create a Trigger</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#configure-actions">Configure Actions</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/alerting/alerts_using_open_distro/how_to_add_a_mobile_number_to_an_existing_user_profile/index.html">How to add a mobile number to an existing user profile</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/alerting/alerting_learnings/index.html">Alerting - Learnings</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/notebooks/index.html">Notebooks</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/dashboards/index.html">Dashboards</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/4pointx_edge/index.html">4PointX Edge</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_edge/index.html#purpose">Purpose</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_edge/index.html#data-pipeline-scenarios">Data Pipeline Scenarios</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_edge/index.html#hardware-specifications">Hardware Specifications</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_edge/index.html#pre-installed-software">Pre-installed Software</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/4pointx_iiot_gateway/index.html">4PointX IIoT Gateway</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_iiot_gateway/index.html#purpose">Purpose</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_iiot_gateway/index.html#hardware-specifications">Hardware Specifications</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_iiot_gateway/index.html#ruggedboard">RuggedBoard</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_iiot_gateway/index.html#phyboard-regor">PhyBoard Regor</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_iiot_gateway/index.html#pre-installed-software">Pre-installed Software</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_iiot_gateway/index.html#oem-partners">OEM Partners</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/4pointx_iiot_gateway/index.html#references">References</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/ai_monitors/index.html">AI Monitors</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/user_management/index.html">User Management</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/user_management/security_rbac/index.html">Security - RBAC</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/user_management/security_rbac/index.html#roles">Roles</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/user_management/security_rbac/index.html#plant-viewer">Plant Viewer</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/user_management/security_rbac/index.html#plant-analyst">Plant Analyst</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/user_management/security_rbac/index.html#plant-admin">Plant Admin</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/user_management/security_rbac/index.html#site-admin">Site Admin</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/partners/index.html">Partners</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/partners/oem_partners/index.html">OEM Partners</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/partners/oem_partners/index.html#hardware-partners">Hardware Partners</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/partners/oem_partners/index.html#other-info">Other Info</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/partners/oem_partners/index.html#tecom">Tecom</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/partners/oem_partners/index.html#durham-instruments">Durham Instruments</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/partners/oem_partners/index.html#converters">Converters</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../user_docs/test_page_for_sphinix_converter/index.html">Test page for sphinix converter</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../user_docs/test_page_for_sphinix_converter/index.html#header-2">Header 2</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../user_docs/test_page_for_sphinix_converter/index.html#header-3">Header 3</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../user_docs/test_page_for_sphinix_converter/index.html#header-4">Header 4</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../user_docs/test_page_for_sphinix_converter/index.html#header-5">Header 5</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../user_docs/test_page_for_sphinix_converter/index.html#header-6">Header 6</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">API</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="index.html">Configuration</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="assets.html"><strong>Assets</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="assets.html#create-asset"><strong>Create Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="assets.html#delete-asset"><strong>Delete Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="assets.html#update-asset"><strong>Update Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="assets.html#fetch-asset"><strong>Fetch Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="assets.html#fetch-list-of-assets"><strong>Fetch List of Assets</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="assets.html#get-count-of-assets"><strong>Get Count of Assets</strong></a></li>
</ul>
</li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">Devices</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#register-device"><strong>Register Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="#unregister-device"><strong>Unregister Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="#change-device-s-registration"><strong>Change Device's registration</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="#fetch-device"><strong>Fetch Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="#fetch-list-of-devices"><strong>Fetch List of Devices</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="#get-count-of-devices"><strong>Get Count of Devices</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="functions.html">Functions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="functions.html#create-function"><strong>Create Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="functions.html#delete-function"><strong>Delete Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="functions.html#update-a-function"><strong>Update a Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="functions.html#fetch-details-of-a-function"><strong>Fetch Details of a Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="functions.html#fetch-list-of-functions"><strong>Fetch List of Functions</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="monitors.html">Monitors</a><ul>
<li class="toctree-l4"><a class="reference internal" href="monitors.html#create-monitor"><strong>Create Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="monitors.html#delete-monitor"><strong>Delete Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="monitors.html#update-monitor"><strong>Update Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="monitors.html#fetch-monitor"><strong>Fetch Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="monitors.html#fetch-list-of-monitors"><strong>Fetch List of Monitors</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="monitors.html#get-count-of-monitors"><strong>Get Count of Monitors</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="plants.html">Plants</a><ul>
<li class="toctree-l4"><a class="reference internal" href="plants.html#create-plant"><strong>Create Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="plants.html#delete-plant"><strong>Delete Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="plants.html#update-plant"><strong>Update Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="plants.html#fetch-plant"><strong>Fetch Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="plants.html#fetch-list-of-plants"><strong>Fetch List of Plants</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pipelines.html">Pipelines</a><ul>
<li class="toctree-l4"><a class="reference internal" href="pipelines.html#start-pipeline"><strong>Start Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines.html#stop-pipeline"><strong>Stop Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines.html#fetch-pipelines-list"><strong>Fetch Pipelines List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines.html#fetch-pipelines-count"><strong>Fetch Pipelines Count</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_edge.html">Pipelines Edge</a><ul>
<li class="toctree-l4"><a class="reference internal" href="pipelines_edge.html#create-edge-server-pipeline"><strong>Create Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines_edge.html#delete-edge-server-pipeline"><strong>Delete Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines_edge.html#update-edge-server-pipeline"><strong>Update Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines_edge.html#fetch-edge-server-pipeline"><strong>Fetch Edge Server Pipeline</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="pipelines_IU.html">Pipelines IU</a><ul>
<li class="toctree-l4"><a class="reference internal" href="pipelines_IU.html#create-an-iu-pipeline"><strong>Create an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines_IU.html#delete-an-iu-pipeline"><strong>Delete an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines_IU.html#update-an-iu-pipeline"><strong>Update an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="pipelines_IU.html#fetch-an-iu-pipeline"><strong>Fetch an IU Pipeline</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="sites.html">Sites</a><ul>
<li class="toctree-l4"><a class="reference internal" href="sites.html#create-site"><strong>Create Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="sites.html#delete-site"><strong>Delete Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="sites.html#update-site"><strong>Update Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="sites.html#fetch-details-of-a-site"><strong>Fetch details of a Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="sites.html#fetch-list-of-sites"><strong>Fetch List of Sites</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="samples.html">Samples</a><ul>
<li class="toctree-l4"><a class="reference internal" href="samples.html#get-trend-of-sample"><strong>Get Trend of Sample</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="samples.html#fetch-count-of-sample"><strong>Fetch Count of Sample</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="tags.html">Tags</a><ul>
<li class="toctree-l4"><a class="reference internal" href="tags.html#fetch-list-of-tags"><strong>Fetch List of Tags</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="tags.html#fetch-count-of-tags"><strong>Fetch Count of Tags</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../EMS/index.html">EMS</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_asset.html">EMS Asset</a></li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_benchmarking.html">EMS Benchmarking</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_benchmarking.html#fetch-energy-consumption-table-for-plant"><strong>Fetch Energy Consumption Table for Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_benchmarking.html#fetch-list-of-production-specs-for-plant"><strong>Fetch list of Production specs for Plant</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_function.html">EMS Function</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_function.html#fetch-energy-metrics-for-function"><strong>Fetch Energy Metrics for Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_function.html#fetch-energy-metrics-for-functions-in-plant"><strong>Fetch Energy Metrics for Functions in Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_function.html#fetch-energy-metric-trend-for-function"><strong>Fetch Energy Metric Trend for Function</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_monitor.html">EMS Monitor</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_monitor.html#fetch-energy-metrics-for-monitor"><strong>Fetch Energy Metrics for Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_monitor.html#fetch-energy-metrics-monitors-in-plant-or-function"><strong>Fetch Energy Metrics Monitors in Plant or Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_monitor.html#fetch-energy-metric-trend-for-monitor"><strong>Fetch Energy Metric trend for Monitor</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../EMS/ems_plant.html">EMS Plant</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_plant.html#fetch-energy-metrics-for-plant"><strong>Fetch Energy Metrics for Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../EMS/ems_plant.html#fetch-energy-metric-trend-for-plant"><strong>Fetch Energy Metric trend for Plant</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../Notebooks/index.html">Notebooks</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Notebooks/notebooks.html">Notebook APIs</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#create-notebook"><strong>Create Notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#delete-notebooks"><strong>Delete Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#rename-a-notebook"><strong>Rename a notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#fetch-notebook"><strong>Fetch Notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#fetch-list-of-notebooks"><strong>Fetch List of Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#fetch-count-of-notebooks"><strong>Fetch Count of Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#run-notebooks"><strong>Run Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#schedule-notebooks"><strong>Schedule Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Notebooks/notebooks.html#unschedule-notebooks"><strong>Unschedule Notebooks</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../Alerting/index.html">Alerting</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/alerts.html"><strong>Alert APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/alerts.html#alerts-count"><strong>Alerts Count</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/alerts.html#fetch-alerts-details"><strong>Fetch Alerts Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/alerts.html#get-trend-of-alerts"><strong>Get Trend of Alerts</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../Alerting/watchers.html"><strong>Watcher APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/watchers.html#count-watchers"><strong>Count Watchers</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/watchers.html#fetch-list-of-watchers"><strong>Fetch List of Watchers</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/watchers.html#fetch-watcher-details"><strong>Fetch Watcher Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/watchers.html#create-a-new-watcher"><strong>Create A New Watcher</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/watchers.html#update-watcher-details"><strong>Update Watcher Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Alerting/watchers.html#delete-watcher"><strong>Delete Watcher</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../User_Management/index.html">User Management</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../User_Management/user_management.html"><strong>User Management APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../User_Management/user_management.html#create-a-new-user"><strong>Create a New User</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../User_Management/user_management.html#fetch-user-details"><strong>Fetch User Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../User_Management/user_management.html#updating-the-existing-user"><strong>Updating The Existing User</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../User_Management/user_management.html#deleting-the-user"><strong>Deleting the user</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../Condition_Monitoring/index.html">Condition Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_assets.html"><strong>CM Assets</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_assets.html#cm-assets-list"><strong>CM Assets List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_assets.html#cm-faults-and-status-count">CM Faults and Status Count</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_faults.html"><strong>CM Faults</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_faults.html#cm-fault-s-status"><strong>CM Fault’s Status</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_monitors.html"><strong>CM Monitors</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_monitors.html#cm-monitor"><strong>CM Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_monitors.html#cm-monitors-list"><strong>CM Monitors List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_monitors.html#cm-monitors-trend"><strong>CM Monitors Trend</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html"><strong>CM FFT</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html#cm-fft-peaks"><strong>CM FFT Peaks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html#cm-asset-fault-summary"><strong>CM Asset Fault Summary</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html#cm-fft-spectrum"><strong>CM FFT Spectrum</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../Condition_Monitoring/cm_fft.html#cm-fft-spectrum-timestamps"><strong>CM FFT Spectrum Timestamps</strong></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">4PointX Documentation</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../index.html">API</a></li>
          <li class="breadcrumb-item"><a href="index.html">Configuration</a></li>
      <li class="breadcrumb-item active">Devices</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/API/Configuration/devices.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="devices">
<h1>Devices<a class="headerlink" href="#devices" title="Permalink to this heading">¶</a></h1>
<section id="register-device">
<h2><strong>Register Device</strong><a class="headerlink" href="#register-device" title="Permalink to this heading">¶</a></h2>
<blockquote>
<div><p>Register a new Device</p>
<blockquote>
<div><p><strong>ENDPOINT</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>POST /_config/devices
</pre></div>
</div>
<p><strong>PARAMETERS</strong></p>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w"> </span><span class="nt">&quot;device_identifier&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;ef92b52b-553b-4ca3-bfd4-0f914b284815&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;device_type&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;condition_sensor&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;monitor_id&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;&lt;monitor_id&gt;&quot;</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><cite>device_identifier</cite> , <cite>device_type</cite> and <cite>monitor_id</cite> are mandatory</p>
</div>
<p><strong>RETURNS</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>Device registered successfully
</pre></div>
</div>
<p><strong>ERRORS</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>STATUS 400: Invalid Content Type/Insufficient Inputs
STATUS 404: Device registered/ Invalid Monitor id
</pre></div>
</div>
<p><strong>EXAMPLE</strong></p>
<div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>-X<span class="w"> </span>POST<span class="w"> </span>https://api.4pointx.com/_config/devices<span class="w"> </span><span class="se">\</span>
--data<span class="w"> </span><span class="s2">&quot;{\&quot;monitor_id\&quot; : \&quot;&lt;monitor_id&gt;\&quot;,\&quot;device_indetifier\&quot; : \&quot;ef92b52b-553b-4ca3-bfd4-0f914b284815\&quot;, \&quot;device_type\&quot; : \&quot;condition-sensor\&quot;}&quot;</span>
</pre></div>
</div>
</div></blockquote>
</div></blockquote>
</section>
<section id="unregister-device">
<h2><strong>Unregister Device</strong><a class="headerlink" href="#unregister-device" title="Permalink to this heading">¶</a></h2>
<blockquote>
<div><p>Unregister a Device</p>
<blockquote>
<div><p><strong>ENDPOINT</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>DELETE /_config/devices/&lt;device_id&gt;
</pre></div>
</div>
<p><strong>RETURNS</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>Device Deleted
</pre></div>
</div>
<p><strong>ERRORS</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>STATUS 404: Invalid device
</pre></div>
</div>
<p><strong>EXAMPLE</strong></p>
<div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>-X<span class="w"> </span>DELETE<span class="w"> </span>https://api.4pointx.com/_config/devices/&lt;device_id&gt;
</pre></div>
</div>
</div></blockquote>
</div></blockquote>
</section>
<section id="change-device-s-registration">
<h2><strong>Change Device's registration</strong><a class="headerlink" href="#change-device-s-registration" title="Permalink to this heading">¶</a></h2>
<blockquote>
<div><p>To Change Device's registration info.</p>
<blockquote>
<div><p><strong>ENDPOINT</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>PUT /_config/devices/&lt;device_id&gt;
</pre></div>
</div>
<p><strong>PARAMETERS</strong></p>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w"> </span><span class="nt">&quot;device_identifier&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;ef92b52b-553b-4ca3-bfd4-0f914b284815&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;device_type&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;condition_sensor&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;monitor_id&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;&lt;monitor_id&gt;&quot;</span>
<span class="p">}</span>
</pre></div>
</div>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><cite>device_identifier</cite> , <cite>device_type</cite> and <cite>monitor_id</cite> are mandatory</p>
</div>
<p><strong>RETURNS</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>Device Updated
</pre></div>
</div>
<p><strong>ERRORS</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>STATUS 400: Invalid Content Type/Insufficient Inputs
STATUS 404: Invalid Device
</pre></div>
</div>
<p><strong>EXAMPLE</strong></p>
<div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>-X<span class="w"> </span>PUT<span class="w"> </span>https://api.4pointx.com/_config/devices/&lt;device_id&gt;<span class="w"> </span><span class="se">\</span>
--data<span class="w"> </span><span class="s2">&quot;{\&quot;monitor_id\&quot; : \&quot;&lt;monitor_id&gt;\&quot;,\&quot;device_indetifier\&quot; : \&quot;ef92b52b-553b-4ca3-bfd4-0f914b284815\&quot;, \&quot;device_type\&quot; : \&quot;condition-sensor\&quot;}&quot;</span>
</pre></div>
</div>
</div></blockquote>
</div></blockquote>
</section>
<section id="fetch-device">
<h2><strong>Fetch Device</strong><a class="headerlink" href="#fetch-device" title="Permalink to this heading">¶</a></h2>
<blockquote>
<div><p>Fetch details of a Device.</p>
<blockquote>
<div><p><strong>ENDPOINT</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>GET /_config/devices/&lt;device_id&gt;
</pre></div>
</div>
<p><strong>RETURNS</strong></p>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w"> </span><span class="nt">&quot;device_identifier&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;ef92b52b-553b-4ca3-bfd4-0f914b284815&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;function&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;Test Plant 1&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;device_type&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;condition_sensor&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;monitor_id&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;13838&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;site&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;plant&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR HSM-2&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;device_id&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;del2&quot;</span>
<span class="p">}</span>
</pre></div>
</div>
<p><strong>ERRORS</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>STATUS 404: Invalid Device &lt;device_id&gt;
</pre></div>
</div>
<p><strong>EXAMPLE</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>curl -X GET https://api.4pointx.com/_config/devices/&lt;device_id&gt;
</pre></div>
</div>
</div></blockquote>
</div></blockquote>
</section>
<section id="fetch-list-of-devices">
<h2><strong>Fetch List of Devices</strong><a class="headerlink" href="#fetch-list-of-devices" title="Permalink to this heading">¶</a></h2>
<blockquote>
<div><p>Fetch List of Devices</p>
<blockquote>
<div><p><strong>ENDPOINT</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>GET /_config/devices/_list
</pre></div>
</div>
<p><strong>PARAMETERS</strong></p>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w"> </span><span class="nt">&quot;function_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;&lt;function_id&gt;/&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;device_type&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;condtion-sensor&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;is_registered&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;yes&quot;</span>
<span class="p">}</span>
</pre></div>
</div>
<p><strong>RETURNS</strong></p>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">[</span>
<span class="w">    </span><span class="p">{</span>
<span class="w">        </span><span class="nt">&quot;date_registered&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">1645097791157</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;2a513bf4-d1c2-46e6-9e64-2d7c486eefe0&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_identifier&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;94:54:93:49:E8:2E&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_type&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;condition-sensor&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;function_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;RM1&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;latest_event&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">[</span>
<span class="w">            </span><span class="mi">1631812680000</span>
<span class="w">        </span><span class="p">],</span>
<span class="w">        </span><span class="nt">&quot;plant_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR HSM-2&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;site_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;total_events&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">17702</span>
<span class="w">    </span><span class="p">},</span>
<span class="w">    </span><span class="p">{</span>
<span class="w">        </span><span class="nt">&quot;date_registered&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">1645097791157</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;c52293a5-1b4f-4e4c-96b6-243e6b4355c3&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_identifier&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;94:54:93:49:E8:42&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_type&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;condition-sensor&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;function_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;RM1&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;latest_event&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">[</span>
<span class="w">            </span><span class="mi">1631816880000</span>
<span class="w">        </span><span class="p">],</span>
<span class="w">        </span><span class="nt">&quot;plant_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR HSM-2&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;site_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;total_events&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">70125</span>
<span class="w">    </span><span class="p">},</span>
<span class="w">    </span><span class="p">{</span>
<span class="w">        </span><span class="nt">&quot;date_registered&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">1645097791157</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;53378a2d-3457-4001-a17f-fe20c5734b14&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_identifier&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;94:54:93:4A:3F:1B&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_type&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;condition-sensor&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;function_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;RM1&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;latest_event&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">[</span>
<span class="w">            </span><span class="mi">1631815420000</span>
<span class="w">        </span><span class="p">],</span>
<span class="w">        </span><span class="nt">&quot;plant_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR HSM-2&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;site_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;total_events&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">96114</span>
<span class="w">    </span><span class="p">},</span>
<span class="w">    </span><span class="p">{</span>
<span class="w">        </span><span class="nt">&quot;date_registered&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">1645097791157</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;289f694a-a6fe-4cbf-9b44-825b285fe414&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_identifier&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;94:54:93:4A:3E:AB&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_type&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;condition-sensor&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;function_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;RM1&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;latest_event&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">[</span>
<span class="w">            </span><span class="mi">1631808510000</span>
<span class="w">        </span><span class="p">],</span>
<span class="w">        </span><span class="nt">&quot;plant_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR HSM-2&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;site_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;total_events&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">55590</span>
<span class="w">    </span><span class="p">},</span>
<span class="w">    </span><span class="p">{</span>
<span class="w">        </span><span class="nt">&quot;date_registered&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">1645097791157</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;03dc9772-7037-4f64-954b-667aed57c748&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_identifier&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;R1SD Process Sensor&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;device_type&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;process-sensor&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;function_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;RM1&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;latest_event&quot;</span><span class="p">:</span><span class="w"> </span><span class="p">[</span>
<span class="w">            </span><span class="mi">1636482420000</span>
<span class="w">        </span><span class="p">],</span>
<span class="w">        </span><span class="nt">&quot;plant_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR HSM-2&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;site_name&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;JSW VJNR&quot;</span><span class="p">,</span>
<span class="w">        </span><span class="nt">&quot;total_events&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">243000</span>
<span class="w">    </span><span class="p">}</span>
<span class="p">]</span>
</pre></div>
</div>
<p><strong>EXAMPLE</strong></p>
<div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>-X<span class="w"> </span>GET<span class="w"> </span>https://api.4pointx.com/_config/devices/_list<span class="w"> </span><span class="se">\</span>
--data<span class="w"> </span><span class="s2">&quot;{\&quot;function_id\&quot; : \&quot;&lt;function_id&gt;\&quot;, \&quot;is_registered\&quot; : \&quot;yes\&quot;}&quot;</span>
</pre></div>
</div>
</div></blockquote>
</div></blockquote>
</section>
<section id="get-count-of-devices">
<h2><strong>Get Count of Devices</strong><a class="headerlink" href="#get-count-of-devices" title="Permalink to this heading">¶</a></h2>
<blockquote>
<div><p>Get Count of Devices</p>
<blockquote>
<div><p><strong>ENDPOINT</strong></p>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>GET /_config/devices/_count
</pre></div>
</div>
<p><strong>PARAMETERS</strong></p>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="nt">&quot;function_id&quot;</span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;&lt;function_id&gt;/&quot;</span><span class="p">,</span>
<span class="w"> </span><span class="nt">&quot;is_registered&quot;</span><span class="w"> </span><span class="p">:</span><span class="w"> </span><span class="s2">&quot;yes&quot;</span>
<span class="p">}</span>
</pre></div>
</div>
<p><strong>RETURNS</strong></p>
<div class="highlight-json notranslate"><div class="highlight"><pre><span></span><span class="p">{</span>
<span class="w">    </span><span class="nt">&quot;condition-sensor&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">4</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;energy-meter&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">0</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;process-sensor&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">1</span><span class="p">,</span>
<span class="w">    </span><span class="nt">&quot;total&quot;</span><span class="p">:</span><span class="w"> </span><span class="mi">5</span>
<span class="p">}</span>
</pre></div>
</div>
<p><strong>EXAMPLE</strong></p>
<div class="highlight-sh notranslate"><div class="highlight"><pre><span></span>curl<span class="w"> </span>-X<span class="w"> </span>GET<span class="w"> </span>https://api.4pointx.com/_config/devices/_count<span class="w"> </span><span class="se">\</span>
--data<span class="w"> </span><span class="s2">&quot;{\&quot;function_id\&quot; : \&quot;&lt;function_id&gt;\&quot;, \&quot;is_registered\&quot; : \&quot;yes\&quot;}&quot;</span>
</pre></div>
</div>
</div></blockquote>
</div></blockquote>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="assets.html" class="btn btn-neutral float-left" title="Assets" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="functions.html" class="btn btn-neutral float-right" title="Functions" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, 4PointX.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>